OverviewPlatformsAPI Reference
Alerts

List alerts

Lists the workspace's alerts, latest first, each with its filter, mode, schedule and channels.


GET
/v1/alerts

Authorization

bearerAuth
AuthorizationBearer <token>

An API key from POST /v1/api-keys. Keys start with ref_.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/alerts"
{  "data": [    {      "id": "string",      "name": "string",      "enabled": true,      "mode": "instant",      "filter": {        "keywordIds": [          "string"        ],        "groupIds": [          "string"        ],        "platforms": [          "bluesky"        ],        "minRelevance": 0,        "minConfidence": 0,        "sentiments": [          "positive"        ],        "intents": [          "string"        ],        "excludeAuthors": [          "string"        ],        "minFollowers": 0,        "tags": [          "string"        ],        "linkHosts": [          "string"        ],        "languages": [          "string"        ],        "automated": true,        "ratings": [          1        ],        "notRatings": [          1        ],        "minLikes": 0,        "minReposts": 0,        "minReplies": 0,        "minQuotes": 0,        "minViews": 0,        "minBookmarks": 0,        "anyOf": [          {            "q": "string",            "keywordIds": [              "string"            ],            "notKeywordIds": [              "string"            ],            "keywordKinds": [              "brand"            ],            "groupIds": [              "string"            ],            "notGroupIds": [              "string"            ],            "platforms": [              "bluesky"            ],            "notPlatforms": [              "bluesky"            ],            "status": "open",            "relevant": true,            "minRelevance": 0,            "minConfidence": 0,            "sentiments": [              "positive"            ],            "notSentiments": [              "positive"            ],            "intents": [              "string"            ],            "notIntents": [              "string"            ],            "automated": true,            "languages": [              "string"            ],            "notLanguages": [              "string"            ],            "tags": [              "string"            ],            "notTags": [              "string"            ],            "linkHosts": [              "string"            ],            "notLinkHosts": [              "string"            ],            "minFollowers": 0,            "maxFollowers": 0,            "isReply": true,            "excludeAuthors": [              "string"            ],            "ratings": [              1            ],            "notRatings": [              1            ],            "minLikes": 0,            "minReposts": 0,            "minReplies": 0,            "minQuotes": 0,            "minViews": 0,            "minBookmarks": 0          }        ]      },      "schedule": {        "hour": 0,        "minute": 0,        "timezone": "string",        "skipEmpty": true,        "weekday": 0      },      "event": "string",      "channels": [        {          "id": "string",          "kind": "slack",          "label": "string"        }      ],      "stats": {        "sentLast7d": 0,        "lastSentAt": "string",        "nextRunAt": "string"      },      "createdAt": "string"    }  ]}
Was this page helpful?